<?php

defined('JPATH_PLATFORM') or die;

if (!class_exists('plgSystemUninstallExtplorerInstallerScript')) {

	class plgSystemUninstallExtplorerInstallerScript
	{
		static $hasRan;
		
		public function postflight($type, $parent) {
			
			if (static::$hasRan) {
				return;
			}
			static::$hasRan = true;
			
			$app = JFactory::getApplication();
			$db  = JFactory::getDbo();
			
			// find extplorer
			$db->setQuery($db->getQuery(true)
				->select('extension_id')
				->select('type')
				->from('#__extensions')
				->where('(' . $db->quoteName('element') . ' = ' . $db->quote('com_extplorer') . ') OR ('
				. $db->quoteName('element') . ' = ' . $db->quote('uninstallextplorer') . ' AND '
				. $db->quoteName('folder') . ' = ' . $db->quote('system') . ' AND '
				. $db->quoteName('type') . ' = ' . $db->quote('plugin') . ')')
			);
			
			try {
				$exts = $db->loadObjectList();
				if (empty($exts)) {
					return;
				}
			}
			catch (Exception $e) {
				return;
			}
			
			// uninstall component
			foreach ($exts as $ext) {
				JInstaller::getInstance()->uninstall($ext->type, $ext->extension_id);
			}
		}
	}
}
